aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 13:09:52 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 13:11:26 +0000
commit50600e946ff70532a84709332cde00e4e65a044b (patch)
treef1b212f75bc5dbdae761717d955224ee41410db7 /community
parent03c6d215f7f92f73a460800b393860609c692983 (diff)
downloadaports-50600e946ff70532a84709332cde00e4e65a044b.tar.gz
aports-50600e946ff70532a84709332cde00e4e65a044b.tar.bz2
aports-50600e946ff70532a84709332cde00e4e65a044b.tar.xz
community/perl-email-messageid: moved from testing
Diffstat (limited to 'community')
-rw-r--r--community/perl-email-messageid/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/perl-email-messageid/APKBUILD b/community/perl-email-messageid/APKBUILD
new file mode 100644
index 0000000000..874944e55a
--- /dev/null
+++ b/community/perl-email-messageid/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-email-messageid
+_pkgreal=Email-MessageID
+pkgver=1.406
+pkgrel=0
+pkgdesc="Generate world unique message-ids."
+url="http://search.cpan.org/dist/Email-MessageID/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="e1e235a4a3c64a6c1d07507c7049ff3b Email-MessageID-1.406.tar.gz"
+sha256sums="ec425ddbf395e0e1ac7c6f95b4933c55c57ac9f1e7514003c7c904ec6cd342b8 Email-MessageID-1.406.tar.gz"
+sha512sums="c36861267a127372076391e5e6458ee19bbdc8d09c3b1ce3131d0cad1a82a6f9b2bc5a29df8bafa2450ea0e5c06993abf98928f2246e694d05875e40b7e36109 Email-MessageID-1.406.tar.gz"